<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">GLESDefaultHardwareVertexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLESDefaultHardwareVertexBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a7bf67cf28784a047fae3f0837c19c742">checkIfVertexInstanceDataIsSupported</a>()</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">copyData</a>(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0bf3147b1f99a81dd84fb7b978c4686d">copyData</a>(HardwareBuffer &amp;srcBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a2894f1284f8beeb7884748fbe41f4226">getDataPtr</a>(size_t offset) const </td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a8e429a2b99675667ce7444bef6d74103">getInstanceDataStepRate</a>() const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ad1690aff2bf71373e8dca22c5161e493">getIsInstanceData</a>() const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a4ed0f6954395556a3dbc5899fe5df401">getManager</a>() const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aadf84ce66787e07b1119e278fdd67a6e">getNumVertices</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">getUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#adc5090970f3336432f181a42564855c7">getVertexSize</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a10dbccea321a06aa574e88c95bf1fc3d">GLESDefaultHardwareVertexBuffer</a>(size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a241b5062eae82ea98d3ea0e6bf6fbaf8">GLESDefaultHardwareVertexBuffer</a>(HardwareBufferManagerBase *mgr, size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a43c79e8e2fa85a83f800214b3661bbbf">HardwareBuffer</a>(Usage usage, bool systemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a8951bd992d2f819f4622c3323b304440">HardwareVertexBuffer</a>(HardwareBufferManagerBase *mgr, size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage, bool useSystemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#aebad22ebab02b7e656c9ef597b2a8d67">lock</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a93b204642190e611bc226ea08d29160e">Ogre::HardwareVertexBuffer::lock</a>(LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a8ac05bb67ba9d932b2b90ac58529022b">lockImpl</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a8cc52f767f0886dba875a846e7895d97">mData</a></td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a9b6f93aec8f3a810822de34cc1c902c7">mInstanceDataStepRate</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#aa35769af03b2b6d71ac38e8f2aaba78a">mIsInstanceData</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">mLockStart</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a76962312880d3d62c29bd02db4889404">mMgr</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a36d77550269d084792c0c863ca5e8a35">mNumVertices</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">mShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">mShadowUpdated</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">mSystemMemory</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">mUsage</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ab8eb0ea0224219c41ce7630bdfa1fa8c">mVertexSize</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#ad960c2ff9ec65b8bd299bc3fd33b25ee">readData</a>(size_t offset, size_t length, void *pDest)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a77a0371bc1b1f48fe6303df7d26267fe">setInstanceDataStepRate</a>(const size_t val)</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#ae57160dc300a13c6b37cfc8c56edd82c">setIsInstanceData</a>(const bool val)</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a>(bool suppress)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a6a00052cb2a867dcb12668a2ae02cd38">unlock</a>(void)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a7f12b2d3422ea3c4537d29c73f89e8ca">unlockImpl</a>(void)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#ab99a288f9f1f04655e44b68063d17844">writeData</a>(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html#a9d6255e967fa5b7976a5aa9dcda51bc9">~GLESDefaultHardwareVertexBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLESDefaultHardwareVertexBuffer.html">Ogre::GLESDefaultHardwareVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2514db557f1562eef2b7a70a1b2d8344">~HardwareBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#a572e98b8ff0a3a42d350a4fb09438fc4">~HardwareVertexBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
